package com.ruoyi.framework.recovery.mapper;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxCoupons;

/**
 * 微信优惠卷Mapper接口
 * 
 * @author jin
 * @date 2024-12-08
 */
public interface WxCouponsMapper 
{
    /**
     * 查询微信优惠卷
     * 
     * @param id 微信优惠卷主键
     * @return 微信优惠卷
     */
    public WxCoupons selectWxCouponsById(Long id);

    /**
     * 查询微信优惠卷列表
     * 
     * @param wxCoupons 微信优惠卷
     * @return 微信优惠卷集合
     */
    public List<WxCoupons> selectWxCouponsList(WxCoupons wxCoupons);

    /**
     * 新增微信优惠卷
     * 
     * @param wxCoupons 微信优惠卷
     * @return 结果
     */
    public int insertWxCoupons(WxCoupons wxCoupons);

    /**
     * 修改微信优惠卷
     * 
     * @param wxCoupons 微信优惠卷
     * @return 结果
     */
    public int updateWxCoupons(WxCoupons wxCoupons);

    /**
     * 删除微信优惠卷
     * 
     * @param id 微信优惠卷主键
     * @return 结果
     */
    public int deleteWxCouponsById(Long id);

    /**
     * 批量删除微信优惠卷
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxCouponsByIds(Long[] ids);
}
